# List Groups

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/groups/list/

`GET /unified/user-directory/groups`

Resource: **Groups** · API: **Unified User Directory API**

## Supported integrations

15Five (partial), Accelo, ActiveCampaign, Adaptive, Aircall, Airtable SCIM, Amplitude SCIM, Apono, Asana, Asset Panda, Atlassian, Bitwarden, BlackLine, Buildkite, Chronosphere, CockroachDB Cloud, Concord, Confluence, Confluence On Prem , Coupa, Databricks, DevRev, Dixa, Drift, Egnyte, Files.com, Fivetran, FloQast, Freshcaller, Freshchat, Freshservice, Front, FuseDesk, Google CloudSQL, GitLab, Gladly, HaloITSM, HappyFox, Hashicorp Terraform Cloud, Height, HelloID, Help Scout, Heroku, HiBob, Hive, Hootsuite, Ironclad, JFrog (partial), Jira, Jira Service Management, JumpCloud, Keeper , KnowBe4, LaunchDarkly, Leadsquared, LearnWorlds, LiveAgent, Make, miniOrange, Mode, Netlify, Netskope SCIM, New Relic, Okta, OneLogin, OpenVPN CloudConnexa, Opsgenie, Oracle Fusion Cloud EPM, Pendo SCIM, Pipeline CRM, Pylon, Qlik Sense, Richpanel, Rippling, Rithum, Rollbar, Rootly, Salesloft, Segment, Sendoso, ServiceNow, Sigma Computing, Sisense, Slack, SmartRecruiters, SolarWinds Service Desk, SonarQube Cloud, SonarQube Server, Sophos, Statsig, Streak, Survey Monkey, SurveySparrow, TalentLMS, TeamViewer, Teamwork Project Management, Tenable, ThoughtSpot, Trengo, UserVoice, Vanta, Veeva Vault, Vercel, Vidyard, Webflow, Wiz, Workato, Wrike, Zoho Meeting, Zoho Vault, Zscaler, Zscaler ZIA

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`organization_id`** _(string)_
- **`workspace_id`** _(unknown)_
- **`group_type`** _(string)_
  Type of the group.
  Allowed: `department`, `group`, `product`, `team`
- **`name`** _(string)_
  Name of the group.
- **`sort_by`** _(string)_
  The field to sort the resource by. The possible field is `name`.
  Allowed: `created_at`, `id`, `name`
- **`is_group`** _(boolean)_
  If true, list groups instead of projects.
- **`include_nested`** _(boolean)_
  When is_group=true and workspace_id is provided, include nested descendant groups.
- **`created_at`** _(string)_
  Date and time when the group was created.
- **`updated_at`** _(string)_
  Date and time when the group was last updated.
- **`description`** _(string)_
  Description of the group.
- **`user_id`** _(string)_
  The unique identifier for a user.

## Response body

- **`result`** _(array<object>)_
  List of Groups
  - **`id`** _(string, required)_
    Unique identifier for the group.
  - **`name`** _(string)_
    Name of the group.
  - **`description`** _(string)_
    Description of the group.
  - **`organization`** _(string)_
    Unique identifier for the organization the group belongs to.
  - **`group_type`** _(string)_
    Type of the group.
    Allowed: `team`, `department`, `group`
  - **`created_at`** _(string)_
    Date and time when the group was created.
  - **`updated_at`** _(string)_
    Date and time when the group was last updated.
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/user-directory/groups?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/groups?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/user-directory/groups"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'user-directory',
  'groups',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "user-directory",
        "groups",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
